mirror of https://lore.kernel.org/lkml/
 help / color / mirror / Atom feed
* [PATCH] 2.5.43-menuconfig
@ 2002-10-17 10:45 Russell King
  0 siblings, 0 replies; only message in thread
From: Russell King @ 2002-10-17 10:45 UTC (permalink / raw)
  To: LKML; +Cc: Linus Torvalds

This patch appears not to be in 2.5.43, but applies cleanly.

This patch fixes a failure case in menuconfig which can occur if a kernel
tree is configured on one architecture with menuconfig, and then attempted
to be reconfigured on another architecture.

The kernel detects that the binary can't be run on the second architecture
and correctly returns the appropriate error code.  However, the Menuconfig
script ignores this error and retries endlessly, appearing to hang.

This patch makes menuconfig display a message and exit rather than
endlessly looping.

 scripts/Menuconfig |   20 ++++++++++++++++++++
 1 files changed, 20 insertions

diff -ur orig/scripts/Menuconfig linux/scripts/Menuconfig
--- orig/scripts/Menuconfig	Sat Oct 12 10:02:17 2002
+++ linux/scripts/Menuconfig	Sat Oct 12 10:45:13 2002
@@ -909,6 +909,26 @@
 			cleanup
 			exit 139
 			;;
+		126|127)
+			stty sane
+			clear
+			cat << EOM
+
+There seems to be a problem with the lxdialog companion utility which is
+built prior to running Menuconfig.  lxdialog could not be found, or could
+not be executed.  This can be caused when lxdialog has been built for a
+different architecture.
+
+You should rebuild lxdialog.  This can be done by moving to the
+/usr/src/linux/scripts/lxdialog directory and issuing the "make clean all"
+command.
+
+If the problem persists, you may email the maintainer <mec@shout.net> or
+post a message to <linux-kernel@vger.kernel.org> for additional assistance. 
+
+EOM
+			cleanup
+			exit 1
 		esac
 	done
 }


^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2002-10-17 10:41 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2002-10-17 10:45 [PATCH] 2.5.43-menuconfig Russell King

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox

all inboxes | Powered by JetHome®